Debian Bug report logs - #679317
tarantool: FTBFS[kfreebsd]: undefined reference to `clock_gettime'

version graph

Package: src:tarantool; Maintainer for src:tarantool is Dmitry E. Oboukhov <unera@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 27 Jun 2012 20:39:08 UTC

Severity: serious

Tags: sid, wheezy

Found in version tarantool/1.4.6+20120626-1

Fixed in version tarantool/1.4.6+20120629-1

Done: unera@debian.org (Dmitry E. Oboukhov)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>:
Bug#679317; Package src:tarantool. (Wed, 27 Jun 2012 20:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Dmitry E. Oboukhov <unera@debian.org>. (Wed, 27 Jun 2012 20:39:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: tarantool: FTBFS[kfreebsd]: undefined reference to `clock_gettime'
Date: Wed, 27 Jun 2012 22:38:27 +0200
Package: src:tarantool
Version: 1.4.6+20120626-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

cd /build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/build-area/mod/box && /usr/bin/cmake -E cmake_link_script CMakeFiles/tarantool_box.dir/link.txt --verbose=1
/usr/bin/c++   -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -I/build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/build-area/third_party/luajit/src -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DCORO_ASM -fno-omit-frame-pointer -fno-stack-protector -fexceptions -funwind-tables -fexceptions -fobjc-exceptions -fgnu89-inline   -Wl,-z,relro -pthread CMakeFiles/tarantool_box.dir/tuple.m.o CMakeFiles/tarantool_box.dir/index.m.o CMakeFiles/tarantool_box.dir/tree.m.o CMakeFiles/tarantool_box.dir/space.m.o CMakeFiles/tarantool_box.dir/port.m.o CMakeFiles/tarantool_box.dir/request.m.o CMakeFiles/tarantool_box.dir/txn.m.o CMakeFiles/tarantool_box.dir/box.m.o CMakeFiles/tarantool_box.dir/box.lua.c.o CMakeFiles/tarantool_box.dir/box_lua.m.o CMakeFiles/tarantool_box.dir/memcached.m.o CMakeFiles/tarantool_box.dir/__/__/cfg/tarantool_box_cfg.c.o  -o tarantool_box  libltbox.a ../../cfg/libcfg.a ../../src/libcore.a ../../src/libev.a ../../third_party/coro/libcoro.a ../../third_party/gopt/libgopt.a ../../third_party/libmisc.a -lobjc ../../third_party/luajit/src/libluajit.a -lpthread -ldl -lbfd -liberty -lm 
../../src/libev.a(tarantool_ev.c.o): In function `ev_time':
/build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/third_party/libev/ev.c:1295: undefined reference to `clock_gettime'
../../src/libev.a(tarantool_ev.c.o): In function `get_clock':
/build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/third_party/libev/ev.c:1313: undefined reference to `clock_gettime'
/build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/third_party/libev/ev.c:1313: undefined reference to `clock_gettime'
/build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/third_party/libev/ev.c:1313: undefined reference to `clock_gettime'
/build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/third_party/libev/ev.c:1313: undefined reference to `clock_gettime'
../../src/libev.a(tarantool_ev.c.o):/build/buildd-tarantool_1.4.6+20120626-1-kfreebsd-amd64-EsdFxn/tarantool-1.4.6+20120626/third_party/libev/ev.c:2240: more undefined references to `clock_gettime' follow
collect2: error: ld returned 1 exit status
make[3]: *** [mod/box/tarantool_box] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=tarantool&arch=kfreebsd-amd64&ver=1.4.6%2B20120626-1&stamp=1340804405

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to unera@debian.org (Dmitry E. Oboukhov):
You have taken responsibility. (Fri, 29 Jun 2012 13:51:06 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 29 Jun 2012 13:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 679317-close@bugs.debian.org (full text, mbox):

From: unera@debian.org (Dmitry E. Oboukhov)
To: 679317-close@bugs.debian.org
Subject: Bug#679317: fixed in tarantool 1.4.6+20120629-1
Date: Fri, 29 Jun 2012 13:48:15 +0000
Source: tarantool
Source-Version: 1.4.6+20120629-1

We believe that the bug you reported is fixed in the latest version of
tarantool, which is due to be installed in the Debian FTP archive:

libtarantool-dev_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantool-dev_1.4.6+20120629-1_amd64.deb
libtarantool1-dbg_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantool1-dbg_1.4.6+20120629-1_amd64.deb
libtarantool1_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantool1_1.4.6+20120629-1_amd64.deb
libtarantoolnet1-dbg_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantoolnet1-dbg_1.4.6+20120629-1_amd64.deb
libtarantoolnet1_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantoolnet1_1.4.6+20120629-1_amd64.deb
libtarantoolrpl1-dbg_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantoolrpl1-dbg_1.4.6+20120629-1_amd64.deb
libtarantoolrpl1_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantoolrpl1_1.4.6+20120629-1_amd64.deb
libtarantoolsql1-dbg_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantoolsql1-dbg_1.4.6+20120629-1_amd64.deb
libtarantoolsql1_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/libtarantoolsql1_1.4.6+20120629-1_amd64.deb
tarantool-client-dbg_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/tarantool-client-dbg_1.4.6+20120629-1_amd64.deb
tarantool-client_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/tarantool-client_1.4.6+20120629-1_amd64.deb
tarantool-common_1.4.6+20120629-1_all.deb
  to main/t/tarantool/tarantool-common_1.4.6+20120629-1_all.deb
tarantool-dbg_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/tarantool-dbg_1.4.6+20120629-1_amd64.deb
tarantool_1.4.6+20120629-1.debian.tar.gz
  to main/t/tarantool/tarantool_1.4.6+20120629-1.debian.tar.gz
tarantool_1.4.6+20120629-1.dsc
  to main/t/tarantool/tarantool_1.4.6+20120629-1.dsc
tarantool_1.4.6+20120629-1_amd64.deb
  to main/t/tarantool/tarantool_1.4.6+20120629-1_amd64.deb
tarantool_1.4.6+20120629.orig.tar.gz
  to main/t/tarantool/tarantool_1.4.6+20120629.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679317@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry E. Oboukhov <unera@debian.org> (supplier of updated tarantool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 29 Jun 2012 17:26:03 +0400
Source: tarantool
Binary: tarantool-common tarantool tarantool-dbg tarantool-client tarantool-client-dbg libtarantool1 libtarantool1-dbg libtarantool-dev libtarantoolnet1 libtarantoolnet1-dbg libtarantoolsql1 libtarantoolsql1-dbg libtarantoolrpl1 libtarantoolrpl1-dbg
Architecture: source all amd64
Version: 1.4.6+20120629-1
Distribution: unstable
Urgency: low
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Changed-By: Dmitry E. Oboukhov <unera@debian.org>
Description: 
 libtarantool-dev - high performance key/value storage server
 libtarantool1 - high performance key/value storage server
 libtarantool1-dbg - high performance key/value storage server
 libtarantoolnet1 - high performance key/value storage server
 libtarantoolnet1-dbg - high performance key/value storage server
 libtarantoolrpl1 - high performance key/value storage server
 libtarantoolrpl1-dbg - high performance key/value storage server
 libtarantoolsql1 - high performance key/value storage server
 libtarantoolsql1-dbg - high performance key/value storage server
 tarantool  - high performance key/value storage server
 tarantool-client - high performance key/value storage server
 tarantool-client-dbg - high performance key/value storage server
 tarantool-common - high performance key/value storage server
 tarantool-dbg - high performance key/value storage server
Closes: 679317
Changes: 
 tarantool (1.4.6+20120629-1) unstable; urgency=low
 .
   * New upstream version: fixed FTBFS with Debian/kFreeBSD. closes: #679317.
Checksums-Sha1: 
 440aa9d709e1c1e84c23790d0321378d0715a2d8 2218 tarantool_1.4.6+20120629-1.dsc
 5908db58836f19bbb9c1892399c3ac007e557796 2045342 tarantool_1.4.6+20120629.orig.tar.gz
 977a262a735846a75c5ee61924bdafe931e9b879 11594 tarantool_1.4.6+20120629-1.debian.tar.gz
 951fb430b1438137b6f690405fa1c9263f42cdd6 16798 tarantool-common_1.4.6+20120629-1_all.deb
 512c48acbf9de3ae100e75abfdb19e71b74caa98 399264 tarantool_1.4.6+20120629-1_amd64.deb
 1de239ae0563f43fa429cc2d85e8c1d388eccc48 985632 tarantool-dbg_1.4.6+20120629-1_amd64.deb
 a511e909b947cce21e8032f928d9205043f3811a 52256 tarantool-client_1.4.6+20120629-1_amd64.deb
 b77331aff53ed0a3b8e24ed454784e3c128c25ee 81004 tarantool-client-dbg_1.4.6+20120629-1_amd64.deb
 c6c6a613e2bcc5b3c58462c23e90d4979686da05 19174 libtarantool1_1.4.6+20120629-1_amd64.deb
 83ca8e5cd0f7553a27e7754c9b54a36b80470181 28916 libtarantool1-dbg_1.4.6+20120629-1_amd64.deb
 381dc5a6fb34842b3dcc552cfee3baaad426990b 54596 libtarantool-dev_1.4.6+20120629-1_amd64.deb
 7e80b3af4d4d975030ca72a3df3989d1f8374e41 15610 libtarantoolnet1_1.4.6+20120629-1_amd64.deb
 23336d6b3782c53f5f4a9019c71535a8457d3fa6 22772 libtarantoolnet1-dbg_1.4.6+20120629-1_amd64.deb
 9e7d9b203768e2686eba480e88619df9a6880f3a 16930 libtarantoolsql1_1.4.6+20120629-1_amd64.deb
 1b4fda145b16068fc365bbfd3e9936170beeb621 25224 libtarantoolsql1-dbg_1.4.6+20120629-1_amd64.deb
 2cd9666f1a62599f2f0a3471c3b7c7ccdbbf33f8 23146 libtarantoolrpl1_1.4.6+20120629-1_amd64.deb
 36c5e3a78a13d3883252918ced15135d388ef460 19844 libtarantoolrpl1-dbg_1.4.6+20120629-1_amd64.deb
Checksums-Sha256: 
 c353b45a0a63a2fefd47bd1b42b5d01928b775e7863d31ccc272d46035eec478 2218 tarantool_1.4.6+20120629-1.dsc
 1d6420086a335d59454de7d90ea2062b7fe6dd736c1f94ddd6798c76fe6df7fe 2045342 tarantool_1.4.6+20120629.orig.tar.gz
 ca84165699b643a0d17683b632812b192ed209f438fdab603d876ebd47d22380 11594 tarantool_1.4.6+20120629-1.debian.tar.gz
 0c78e0fb0aaae03ca0a8fc6fb16c088e48828aa6c6ca7cabdb151660251eec02 16798 tarantool-common_1.4.6+20120629-1_all.deb
 750e100c34a0b2f044cea91062e9949b1e6333a05757b55c35204b69cfbb6c6a 399264 tarantool_1.4.6+20120629-1_amd64.deb
 ffa6688321784a1a6e863cf8c254c3fa4e693458906d940ce62c442346c27d31 985632 tarantool-dbg_1.4.6+20120629-1_amd64.deb
 18bc8f226ba95bbb3a5ac0c21cede58ac437cf06c1c82f310152176a4c5382fe 52256 tarantool-client_1.4.6+20120629-1_amd64.deb
 ecbb70a31b55f5fbf85b4619e43aad1076babb0d930ff34feb785bce077debf4 81004 tarantool-client-dbg_1.4.6+20120629-1_amd64.deb
 d28f6d3257914037de03e5542ab3e6ac96d0059872445aecb8b11c3d5f6c87e3 19174 libtarantool1_1.4.6+20120629-1_amd64.deb
 06e4c14bdc7c88d9485db2e5ce95d8c51238af5e088c6e6f02be9b37e4075bc1 28916 libtarantool1-dbg_1.4.6+20120629-1_amd64.deb
 f5bb6e6ff0524eac19e7e358798cb33845bc9572fd38ea99691affb975d84024 54596 libtarantool-dev_1.4.6+20120629-1_amd64.deb
 8f408b38614e938745fed59f5b1910a0834852e2a59abb1f2fcd4091b503d85f 15610 libtarantoolnet1_1.4.6+20120629-1_amd64.deb
 d95513419bc3e08503b9e65108a9928fb8d1a7ae689d8a1553a921ca44c76d90 22772 libtarantoolnet1-dbg_1.4.6+20120629-1_amd64.deb
 c5ed46fd56e5752cd997c696c903b755d8fba35574d2524b491cf6c9de7f217d 16930 libtarantoolsql1_1.4.6+20120629-1_amd64.deb
 d8ade55f9a2939d1bf2b37958695f44fcc8a2105bf5d0c57ae2ae3be5a5e3387 25224 libtarantoolsql1-dbg_1.4.6+20120629-1_amd64.deb
 4204a376c4379cb0e4cb361614661d9b9cc6794bd3cc144ce8f1df5212fed786 23146 libtarantoolrpl1_1.4.6+20120629-1_amd64.deb
 33e7ffedffcc818bf196a16b90caf1308f106a18bd0d55aca0d3147fd31ea415 19844 libtarantoolrpl1-dbg_1.4.6+20120629-1_amd64.deb
Files: 
 e4d28e41b0e6c2ec973d1509684edc8c 2218 database optional tarantool_1.4.6+20120629-1.dsc
 ec24a63ab7f85cfb91a43f4cae4aa814 2045342 database optional tarantool_1.4.6+20120629.orig.tar.gz
 bd4b41c075f20327fb16ecb7f4f89e91 11594 database optional tarantool_1.4.6+20120629-1.debian.tar.gz
 83e31596f781a94c17d30fa4ca338c90 16798 database optional tarantool-common_1.4.6+20120629-1_all.deb
 ba3d6b65acf4f85171d4a9ec93e24b59 399264 database optional tarantool_1.4.6+20120629-1_amd64.deb
 a5b60b0f41c4e6bc6c8586d427aa35af 985632 debug extra tarantool-dbg_1.4.6+20120629-1_amd64.deb
 1222eefba7a64af9a88053ef50c0467d 52256 database optional tarantool-client_1.4.6+20120629-1_amd64.deb
 bc01d7b2c569b2926b0bee74aaa3beeb 81004 debug extra tarantool-client-dbg_1.4.6+20120629-1_amd64.deb
 176a9952c1a5dcbbfe82c7d9813e06f8 19174 database optional libtarantool1_1.4.6+20120629-1_amd64.deb
 2168383d095a37932b648e51fba8e1b5 28916 debug extra libtarantool1-dbg_1.4.6+20120629-1_amd64.deb
 12eb03ff8674a910f9ffe10bc738cb17 54596 libdevel optional libtarantool-dev_1.4.6+20120629-1_amd64.deb
 36f7803d32a634715b3dbb30f63709bd 15610 database optional libtarantoolnet1_1.4.6+20120629-1_amd64.deb
 f913b317a1aa948f07403c122289980e 22772 debug extra libtarantoolnet1-dbg_1.4.6+20120629-1_amd64.deb
 2588e304b9283f6d75b8d4879c9e7099 16930 database optional libtarantoolsql1_1.4.6+20120629-1_amd64.deb
 595d9567a960db1e29a4d8033f3c0e4c 25224 debug extra libtarantoolsql1-dbg_1.4.6+20120629-1_amd64.deb
 73b737dd60c435ffaf8dd50831c313f0 23146 database optional libtarantoolrpl1_1.4.6+20120629-1_amd64.deb
 e269641cce651b09a5fdf8722c04dadd 19844 debug extra libtarantoolrpl1-dbg_1.4.6+20120629-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk/tru4ACgkQq4wAz/jiZTc08wCeMM0kEDDHQAjqECyCqf8MtlAR
EzgAoLCVwsyR1nECgSRvRZhBFn3u8Nc0
=ejiu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Aug 2012 07:27:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:46:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.